#pragma once

class AutoCritSect
{
	CRITICAL_SECTION* m_crit_sect;
public:
	AutoCritSect(CRITICAL_SECTION* crit_sect)
	{
		m_crit_sect = crit_sect;
		EnterCriticalSection(m_crit_sect);
	}

	virtual ~AutoCritSect(void)
	{
		LeaveCriticalSection(m_crit_sect);
	}
};
