#pragma once

#include <stdio.h>
#include <string.h>

class PException
{
public:
	PException(char file[], int line, char explain[])
	{
		sprintf(text, "FILE: %.256s,\nLINE: %d,\nINFO: %.640s", file, line, explain);
	}
public:
	char text[1024];
};

class IOException : public PException 
{
public:
	IOException(char file[], int line, char explain[])
		: PException(file, line, explain)
	{
	}
};

class CommunicationException : public PException 
{
public:
	CommunicationException(char file[], int line, char explain[])
		: PException(file, line, explain)
	{
	}
};
