/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

// smsdemo.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#include "cpplib\GSM\SMSHelper.h"


// CsmsdemoApp:
// See smsdemo.cpp for the implementation of this class
//

class CsmsdemoApp : public CWinApp
{
public:
	CsmsdemoApp();

// Overrides
	public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()
public:
	static SQLiteDB* GetDB();
	static bool Bind();
	static bool PostSMS(SMS sms);
	static bool SendSMS(SMS sms);
	static bool ReceiveSMS(SMS* sms, int timeout);
};

extern CsmsdemoApp theApp;

