/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once


// PageStatus dialog

class PageStatus : public CPropertyPage
{
	DECLARE_DYNAMIC(PageStatus)

public:
	PageStatus();
	virtual ~PageStatus();

// Dialog Data
	enum { IDD = IDD_PAGE_STAT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	void ShowStatus();
	void EnableStart(bool enable);

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();
	afx_msg void OnBnClickedRestart();
};
