/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once
#include "cpplib\GSM\rpc\sms.h"

class SMSHelper :
	public SMS
{
public:
	SMSHelper(void);
	SMSHelper(SMS sms);
	~SMSHelper(void);
	void SetServiceCenterAddress(const char* sca);
	void SetServiceCenterAddress(const wchar_t* sca);
	void SetPhone(const char* phone);
	void SetPhone(const wchar_t* phone);
	int GetPhone(wchar_t* phone, int size) const;
	int GetPhone(char* phone, int size) const;
	void SetText(const char* text);
	void SetText(const wchar_t* text);
};
