/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once

#include <windows.h>

RPC_STATUS RPC_ENTRY RpcStringBindingComposeT(
	char* ObjUuid,
	char* ProtSeq,
	char* NetworkAddr,
	char* EndPoint,
	char* Options,
	char** StringBinding
);

RPC_STATUS RPC_ENTRY RpcStringBindingComposeT(
	wchar_t* ObjUuid,
	wchar_t* ProtSeq,
	wchar_t* NetworkAddr,
	wchar_t* EndPoint,
	wchar_t* Options,
	wchar_t** StringBinding
);

RPC_STATUS RPC_ENTRY RpcBindingFromStringBindingT(
	char* StringBinding,
	RPC_BINDING_HANDLE* Binding
);

RPC_STATUS RPC_ENTRY RpcBindingFromStringBindingT(
	wchar_t* StringBinding,
	RPC_BINDING_HANDLE* Binding
);

RPC_STATUS RPC_ENTRY RpcStringFreeT(
	char** String
);

RPC_STATUS RPC_ENTRY RpcStringFreeT(
	wchar_t** String
);

int RpcServerUseProtseqEpT(
	wchar_t* Protseq, 
	unsigned int MaxCalls, 
	wchar_t* Endpoint, 
	void* SecurityDescriptor
);

int RpcServerUseProtseqEpT(
	char* Protseq, 
	unsigned int MaxCalls, 
	char *Endpoint, 
	void *SecurityDescriptor
);
