/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once


// DialogContact dialog

class DialogContact : public CDialog
{
	DECLARE_DYNAMIC(DialogContact)

public:
	DialogContact(CWnd* pParent = NULL);   // standard constructor
	virtual ~DialogContact();

// Dialog Data
	enum { IDD = IDD_DIALOG_CONTACT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	int m_id;
	CString m_phone;
	CString m_name;
	BOOL m_exist;

	void ShowExist();

	afx_msg void OnBnClickedDelete();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
};
