/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once

#include "PageMonitor.h"
#include "PageSettings.h"


// Sheet

class Sheet : public CPropertySheet
{
	DECLARE_DYNAMIC(Sheet)
	DECLARE_MESSAGE_MAP()

public:
	Sheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~Sheet();
	virtual BOOL OnInitDialog();

	PageMonitor* m_monitor;
	PageSettings* m_settings;
};


