//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: MSG_COMMON_INFO1
//
// MessageText:
//
//  %1
//
#define MSG_COMMON_INFO1                 0x00000001L

//
// MessageId: MSG_COMMON_INFO2
//
// MessageText:
//
//  %1%2
//
#define MSG_COMMON_INFO2                 0x00000002L

//
// MessageId: MSG_COMMON_INFO3
//
// MessageText:
//
//  %1%2%3
//
#define MSG_COMMON_INFO3                 0x00000003L

//
// MessageId: MSG_PARAMETER_TOO_LONG
//
// MessageText:
//
//  Parameter %1 is too long. Its length should be no more than %2
//
#define MSG_PARAMETER_TOO_LONG           0x0000000BL

//
// MessageId: MSG_FUNCTION_FAILED
//
// MessageText:
//
//  Failure of function call %1. Error: %2
//
#define MSG_FUNCTION_FAILED              0x0000000CL

