/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

// Sheet.cpp : implementation file
//

#include "stdafx.h"
#include "smssvc.h"
#include "Sheet.h"
#include "cpplib\SimpleService.h"

// Sheet

IMPLEMENT_DYNAMIC(Sheet, CPropertySheet)

Sheet::Sheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	SimpleService::SetName(_T("smssvc"));
	m_page_rpc = new PageRPC();
	AddPage(m_page_rpc);
	m_page_gsm = new PageGSM();
	AddPage(m_page_gsm);
	m_page_status = new PageStatus();
	AddPage(m_page_status);
}

Sheet::~Sheet()
{
	delete m_page_status;
	delete m_page_gsm;
	delete m_page_rpc;
}

BEGIN_MESSAGE_MAP(Sheet, CPropertySheet)
	ON_COMMAND(ID_APPLY_NOW, OnApplyNow)
END_MESSAGE_MAP()

// Sheet message handlers
BOOL Sheet::OnInitDialog()
{
	CPropertySheet::OnInitDialog();

	ModifyStyle(0, WS_MINIMIZEBOX);
	//GetDlgItem(IDOK)->EnableWindow(0);
	//GetDlgItem(IDOK)->ShowWindow(0);
	//GetDlgItem(IDCANCEL)->EnableWindow(0);
	//GetDlgItem(IDCANCEL)->ShowWindow(0);
	//GetDlgItem(ID_APPLY_NOW)->DestroyWindow();
	return TRUE;
}

void Sheet::OnApplyNow()
{
	Default();
	//m_page_rpc->SetModified(FALSE);
	//m_page_gsm->SetModified(FALSE);
	//m_page_status->SetModified(FALSE);
}