/**********************************************
 * Application: SMS service and demo          *
 * Author: Vladislav Iliev                    *
 * e-mail: vladislav10@abv.bg                 *
 * Year: 2007                                 *
 * FN: M-21557                                *
 * University of Sofia "St. Kliment Ohridski" *
 * Faculty of Mathematics and Informatics     *
 **********************************************/

#pragma once

#include "PageRPC.h"
#include "PageGSM.h"
#include "PageStatus.h"

// Sheet

class Sheet : public CPropertySheet
{
	DECLARE_DYNAMIC(Sheet)

public:
	Sheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~Sheet();
	virtual BOOL OnInitDialog();

protected:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnApplyNow();

private:
	PageRPC* m_page_rpc;
	PageGSM* m_page_gsm;
	PageStatus* m_page_status;
};


